Query
クエリに回答する(SSE ストリーミング)。 4層アーキテクチャ(Layer 0〜3)を自動選択。
POST
/queryHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsonquerystringrequiredmax_sourcesintegermin 1 · max 50 · default: 5
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/query" \
-H "Content-Type: application/json" \
-d '{
"query": "string",
"max_sources": 5
}'const response = await fetch("/query", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"query": "string",
"max_sources": 5
})
});import requests
response = requests.post(
"/query",
headers={
"Content-Type": "application/json"
},
json={
"query": "string",
"max_sources": 5
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}